# MatGetRowMax

Gets the maximum value (in absolute value) of each row of the matrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetRowMax(Mat mat,Vec v)

Collective on Mat and Vec

### Input Parameters

mat -the matrix

### Output Parameter

v -the vector for storing the maximums

### See Also

MatGetDiagonal(), MatGetSubmatrices(), MatGetSubmatrix()

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages